######################################################
#                Tk LaTeX Editor
#        Distributed under GNU Public License
# Author: Sergey Kalinin (BanZaj) banzaj@lrn.ru
# Copyright (c) "CONERO lab", 2002, http://conero.lrn.ru
######################################################

######################################################
#                MAIN SETTINGS
######################################################

## LOCALE SETTING ##
set locale "en"

## BACKUP FILES ##
set backup(create) "Yes"
set backup(del) "No"
set backup(autosave) "No"

## HELP SYSTEM ##
set help(encode) "koi8-r"

## ISPELL SETTINGS ##
set ispell_lib /usr/lib/ispell
set ispell_startindex "1.0"

## DIRECTORY SETTING ##
set dir(tmp) [file join $env(HOME) tmp]
set dir(doc) [file join $env(HOME) doc my]

## TIMERS ##
## structure refresh time ##
## default 1 min ##
set timers(refresh) 60000
## autosave opened files time ##
## default 5 min ##
set timers(autosave) 300000

######################################################
#                USER INTERFACE SETTINGS
######################################################

## MAIN WINDOW GEOMETRY ##
set gui(geometry) "750x550+0+0"

## NoteBook Tabs Specifies the side where to place the label of the pages. ##
## must be "top" or "bottom"
set gui(tabsLabel) "top"

## IMAGE THEME ##
## must be "default" "stroke" ##
set theme "stroke"

## SETING FONTS ##
set font(normal) "Arial 10 normal roman"
set font(bold) "Arial 10 bold roman"

## SETING COLOR ##
set color(selectbg) "#55c4d1"
set color(bg) "#bbbbbb"
set color(editBg) "#cccccc"
set color(editFg) "#000000"
set color(editTitleNormal) "#000000"
set color(editTitleModify) "#0021ff"
set color(lineNumberBg) "#bbbbbb"
set color(lineNumberFg) "#000000"

## HighLightning Color ##
set color(procName) "#0021ff"
set color(operator) "#0000a8"
set color(keyWord) "#0000a8"
set color(param) "#6a0082"
set color(subParam) "#008282"
set color(comments) "#9b9b9b"
set color(var) "#e50000"
set color(string) "#168400"
set color(brace) "#d33434"
set color(braceBG) "#000000"
set color(braceFG) "#00feff"
set color(percent) "#a500c6"
set color(bindKey) "#a500c6"

## RELIEF TOOL BUTTONS##
## must be flat, groove, raised, ridge, solid, sunken or link ##
set relief(btn) link

## RELIEF TOOL MENUS##
## must be flat, groove, raised, ridge, solid, or sunken ##
set relief(menu) groove

## SHOW TOOLBARS ##
## must be: tool(toolbar_file_name) flag
## where flag = 0 - hide, 1- show
set tool(main) 1
set tool(insert) 0
set tool(math) 0
set tool(format) 0


######################################################
#                EDITOR SETTINGS
######################################################
## EDITOR FONTS ##
set font(editNormal) "fixed"
set font(editBold) "fixed"
## EXTERNAL EDITOR ##
set editor(extern) "No"
set editor(prog) "/usr/bin/emacs"
## AUTOMATICALLY WORD WRAPPING ##
set editor(wrap) "word" ;# must be: none, word or char
# this auto wraping string if string lenght more then editor(strLen)
# must be "No" or "Yes"
set editor(strWrap) "Yes"
set editor(strLen) 100

######################################################
#         CONVERT/PREVIEW/PRINT SETTINGS
######################################################

## CONVERT ##
## %fileName - current file name
## %dirName - currennt directory name
set convert_cmd(dvi) "latex"
set convert_cmd(ps) "dvips -Pwww -j0 -ta4 -o %dirName/%fileName.ps %dirName/%fileName.dvi"
set convert_cmd(pdf) "ps2pdf %dirName/%fileName.ps"
set convert_cmd(html) "latex2html -no_navigation -split 0"
set convert_cmd(img) "convert"
## PREVIEW ##
set preview_cmd(dvi) "xdvi"
set preview_cmd(ps) "gv"
set preview_cmd(pdf) "acroread"
set preview_cmd(html) "mozilla"

######################################################
#         MATH AND TEXT RENDERING PARAMETERS
######################################################
# image resolution
set render(res) "100x100"
# image format
set render(format) "gif"
# background color
set render(bg) "white"
# foreground color
set render(fg) "black"
# on/off transparency
set render(trans) 0
# on/off antialliasing
set render(aa) 1

######################################################
#
######################################################

set thumb(show) "Yes"
set thumb(resolution) "100x100"
set thumb(format) "png" ;# must be jpg, gif, png





